/* AmiWindows.c - Low Level Window Objects for Amiga                   */
/* Copyright (c) 1990 by J.K. Lindsey                                  */
/* Additions to XLISP-STAT 2.1 Copyright (c) 1990, by Luke Tierney     */
/* Additions to Xlisp 2.1, Copyright (c) 1989 by David Michael Betz    */
/* You may give out copies of this software; for conditions see the    */
/* file COPYING included with this distribution.                       */

#include <proto/intuition.h>
#include "xlisp.h"
#include "Stproto.h"
#include "amivar.h"

/**************************************************************************/
/**                                                                      **/
/**                 General Window Information Functions                 **/
/**                                                                      **/
/**************************************************************************/

void StShowWindow(struct Window *w){
   /*WindowToFront(w);*/}

void StHideWindow(struct Window *w){
   /*WindowToBack(w);*/}

void StWSetTitle(struct Window *w,char *str){
  SetWindowTitles(w,str,(char *)-1);}

/**************************************************************************/
/**                                                                      **/
/**                         Screen Info Functions                        **/
/**                                                                      **/
/**************************************************************************/

void StGetScreenSize(int *width,int * height){
   if(width)*width=screenw;
   if(height)*height=screenh;}

int StScreenHasColor(void){
   return(TRUE);}

int StHasWindows(void){
   return(TRUE);}

void StFlushGraphics(void){}